import request from '@/utils/request'

// 查询舆情预警列表
export function listYqyj(query) {
  return request({
    url: '/tcZz/netWorkYq/yqyj/list',
    method: 'get',
    params: query
  })
}

// 查询舆情预警详细
export function getYqyj(id) {
  return request({
    url: '/tcZz/netWorkYq/yqyj/' + id,
    method: 'get'
  })
}

// 新增舆情预警
export function addYqyj(data) {
  return request({
    url: '/tcZz/netWorkYq/yqyj',
    method: 'post',
    data: data
  })
}

// 修改舆情预警
export function updateYqyj(data) {
  return request({
    url: '/tcZz/netWorkYq/yqyj',
    method: 'put',
    data: data
  })
}

// 删除舆情预警
export function delYqyj(id) {
  return request({
    url: '/tcZz/netWorkYq/yqyj/' + id,
    method: 'delete'
  })
}
//批量启用禁用
export function isStatusYqyj(params) {
  return request({
    url: '/tcZz/netWorkYq/yqyj/isStatus',
    method: 'get',
    params
  })
}
//通用导入信息
export function importYqyj(data) {
  return request({
    url: '/tcZz/netWorkYq/yqyj/common/importExcel',
    method: 'post',
    data
  })
}